Skip to main content
GET
/
content-pillars
Retrieve a list of content pillars
curl --request GET \
  --url https://app.heyoo.ai/api/content-pillars \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "<string>",
    "title": "<string>",
    "description": "<string>",
    "color": "red",
    "status": "published",
    "authorId": "<string>",
    "workspaceId": "<string>",
    "createdAt": "<string>",
    "updatedAt": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Default authentication mechanism

Query Parameters

sortBy
enum<string>
default:title

The field to sort the content pillars by.

Available options:
title,
createdAt
sortOrder
enum<string>
default:asc

The order to sort the content pillars by.

Available options:
asc,
desc

The search term to filter the content pillars by.

ids

IDs of content pillars to filter by.

page
number
default:1

The page number for pagination.

Required range: x > 0
Example:

1

pageSize
number
default:100

The number of items per page.

Required range: 0 < x <= 100
Example:

50

Response

A list of content pillars

id
string
required

The unique ID of the content pillar.

title
string
required

The title of the content pillar.

description
string | null
required

The description of the content pillar.

color
enum<string>
required

The color of the content pillar.

Available options:
red,
yellow,
green,
blue,
purple,
brown
status
enum<string>
required

The status of the content pillar.

Available options:
published,
archived
authorId
string
required

The ID of the user who created this pillar.

workspaceId
string
required

The ID of the workspace this pillar belongs to.

createdAt
string
required

When the content pillar was created.

updatedAt
string
required

When the content pillar was last updated.